Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO::Object_Proxy_Broker Class Reference

Object_Proxy_Broker. More...

`#include <Object_Proxy_Broker.h>`

Inheritance diagram for TAO::Object_Proxy_Broker:

[legend]
List of all members.

## Public Member Functions
virtual | ~Object_Proxy_Broker (void)
| Destructor.
virtual CORBA::Boolean | _is_a (CORBA::Object_ptr target, const char *logical_type_id)=0
virtual CORBA::Boolean | _non_existent (CORBA::Object_ptr target)=0
virtual CORBA::InterfaceDef * | _get_interface (CORBA::Object_ptr target)=0
virtual CORBA::Object_ptr | _get_component (CORBA::Object_ptr target)=0
virtual char * | _repository_id (CORBA::Object_ptr target)=0

## Detailed Description

Object_Proxy_Broker.

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO::Object_Proxy_Broker::~Object_Proxy_Broker | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual CORBA::Object_ptr TAO::Object_Proxy_Broker::_get_component | ( | CORBA::Object_ptr | target | ) | `[pure virtual]`

| Implemented in TAO::Remote_Object_Proxy_Broker.

virtual CORBA::InterfaceDef* TAO::Object_Proxy_Broker::_get_interface | ( | CORBA::Object_ptr | target | ) | `[pure virtual]`

| Implemented in TAO::Remote_Object_Proxy_Broker.

virtual CORBA::Boolean TAO::Object_Proxy_Broker::_is_a | ( | CORBA::Object_ptr | target,
|  | const char * | logical_type_id
| ) | `[pure virtual]`

| Implemented in TAO::Remote_Object_Proxy_Broker.

virtual CORBA::Boolean TAO::Object_Proxy_Broker::_non_existent | ( | CORBA::Object_ptr | target | ) | `[pure virtual]`

| Implemented in TAO::Remote_Object_Proxy_Broker.

virtual char* TAO::Object_Proxy_Broker::_repository_id | ( | CORBA::Object_ptr | target | ) | `[pure virtual]`

| Implemented in TAO::Remote_Object_Proxy_Broker.

The documentation for this class was generated from the following files:

- Object_Proxy_Broker.h
- Object_Proxy_Broker.cpp